Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[SOLVED] How to update virtual/python-argparse?
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Portage & Programming
View previous topic :: View next topic  
Author Message
unixj
Tux's lil' helper
Tux's lil' helper


Joined: 18 Jul 2003
Posts: 134

PostPosted: Tue Feb 19, 2013 8:53 pm    Post subject: [SOLVED] How to update virtual/python-argparse? Reply with quote

I'm trying to finish updating my new system and not sure how to resolve this:

Code:
$ emerge -DNpuv @world

These are the packages that would be merged, in order:

Calculating dependencies... done!

Total: 0 packages, Size of downloads: 0 kB

!!! The following update has been skipped due to unsatisfied dependencies:

virtual/python-argparse:0

emerge: there are no ebuilds to satisfy "dev-lang/python:3.2".
(dependency required by "virtual/python-argparse-1[python_targets_python3_2]" [ebuild])


Obviously (or I think obviously?) I don't want to install python 3.2 since the system installed python 2.7 and 3.3.

Also emerge world missed a package reported by eix -uc:

Code:
$ eix -uc
[U] app-text/docbook-xml-dtd (4.1.2-r6(4.1.2)@02/19/13 -> 4.1.2-r6(4.1.2) 4.2-r2(4.2) 4.3-r1(4.3) 4.4-r2(4.4) 4.5-r1(4.5)): Docbook DTD for XML
[U] virtual/python-argparse (0@02/18/13 -> 1): A virtual for the Python argparse module


And when I try updating that, nothing happens:

Code:
$ emerge -pv app-text/docbook-xml-dtd:4.1.2

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild   R    ] app-text/docbook-xml-dtd-4.1.2-r6:4.1.2::gentoo [4.1.2-r6:4.1.2::gentoo_prefix] 0 kB

Total: 1 package (1 reinstall), Size of downloads: 0 kB


Btw if it matters, this is with Gentoo Prefix (on a MacBook Pro Retina). Impressed with how easily it installed.


Last edited by unixj on Sun Feb 24, 2013 6:23 am; edited 1 time in total
Back to top
View user's profile Send private message
PabloEsc
n00b
n00b


Joined: 24 Dec 2009
Posts: 39

PostPosted: Wed Feb 20, 2013 1:03 pm    Post subject: Reply with quote

What's the output of
Code:
eselect python list

and paste please Your make.conf
Back to top
View user's profile Send private message
unixj
Tux's lil' helper
Tux's lil' helper


Joined: 18 Jul 2003
Posts: 134

PostPosted: Wed Feb 20, 2013 3:44 pm    Post subject: Reply with quote

Thanks for taking a look:

Code:
$ eselect python list
Available Python interpreters:
  [1]   python2.7 *
  [2]   python3.3


Code:
$ cat make.conf
USE="unicode nls"
CFLAGS="${CFLAGS} -O2 -pipe"
CXXFLAGS="${CFLAGS}"
MAKEOPTS="-j5"
# be careful with this one, don't just remove it!
PREFIX_DISABLE_GEN_USR_LDSCRIPT=yes

PORTDIR=/Volumes/Backup/Gentoo/usr/portage
PKGDIR=/Volumes/Backup/Gentoo/usr/portage/packages
DISTDIR=/Volumes/Backup/Gentoo/usr/portage/distfiles
RPMDIR=/Volumes/Backup/Gentoo/usr/portage/rpm
PORTAGE_TMPDIR=/Volumes/Backup/Gentoo/var/tmp
PORTAGE_ELOG_CLASSES="info log warn error"
#PORTDIR_OVERLAY=/Volumes/Backup/Gentoo/usr/local/portage
EMERGE_DEFAULT_OPTS="--with-bdeps y"
ACCEPT_LICENSE="*"
Back to top
View user's profile Send private message
unixj
Tux's lil' helper
Tux's lil' helper


Joined: 18 Jul 2003
Posts: 134

PostPosted: Sun Feb 24, 2013 6:23 am    Post subject: Reply with quote

Nevermind, figured them out. For the first one, I added the following to make.conf:

Code:
PYTHON_TARGETS="python2_7 python3_3"


For the second, apparently it just wanted to installed the slotted 4.5, so I let it. Not sure if I'm misunderstanding the output of emerge -pv or if it's a bug.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Portage & Programming All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum